## glib-networking 2.56.0

=== meson_options.txt ===
option('libproxy_support', type: 'boolean', value: true, description: 'support for libproxy proxy configration')
option('gnome_proxy_support', type: 'boolean', value: true, description: 'support for GNOME desktop proxy configuration')
option('ca_certificates_path', type: 'string', value: '', description: 'path to system Certificate Authority list')
option('pkcs11_support', type: 'boolean', value: true, description: 'support for PKCS#11 using p11-kit')
option('installed_tests', type: 'boolean', value: false, description: 'enable installed tests')
option('static_modules', type: 'boolean', value: false, description: 'build static modules')

## glib-networking 2.28.5

=== debian/changelog ===
glib-networking (2.28.5-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Apr 2011 12:43:08 +1000

glib-networking (2.28.0-1ubuntu1) natty; urgency=low

  * debian/rules:
    - Remove *.a files in the correct arch-specific dir

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 30 Mar 2011 21:35:12 +0200

glib-networking (2.28.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Feb 2011 20:21:29 +0000

glib-networking (2.27.90-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Bump libglib2.0-dev build requirement.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 08 Jan 2011 01:58:58 +0000

glib-networking (2.27.5-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Bump libglib2.0-dev build requirement.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 23 Dec 2010 01:50:21 +0000

glib-networking (2.27.4-1) experimental; urgency=low

  * Initial release. Closes: #607409.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 18 Dec 2010 01:03:19 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: glib-networking
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.27.90),
               libgnutls-dev (>= 2.1.7),
               libproxy-dev (>= 0.3.1),
               ca-certificates,
               intltool (>= 0.35.0)
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/glib-networking
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/glib-networking
Standards-Version: 3.9.1

Package: glib-networking
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: network-related giomodules for GLib
 This package contains various network related extension points
 for GLib.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_MAKE_CHECK_TARGET = check

GIO_MODULE_DIR = `pkg-config --variable giomoduledir gio-2.0`

binary-install/glib-networking::
	rm debian/glib-networking$(GIO_MODULE_DIR)/*a

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/glib-networking/([\d\.]+)[02468]/ \
	glib-networking-(.*)\.tar\.gz

## glib-networking 2.28.6.1

=== debian/changelog ===
glib-networking (2.28.6.1-0ubuntu1) natty-proposed; urgency=low

  * New upstream bugfix release
    - Only set GTLS errors when errors have occurred (LP: #771853)
    - gnutls: fix leaks
      * GTlsConnections were never being freed, due to circular refs.
        Additionally, certificates seen during handshaking, and a
        GSocketAddress used in the session cache code were being leaked.
    - Unref GCancellables if they were reffed by the object.


 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 27 Apr 2011 10:43:09 -0400

## glib-networking 2.30.0

=== debian/changelog ===
glib-networking (2.30.0-0ubuntu1) oneiric; urgency=low

  * New upstream release: Just translation updates.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Sep 2011 16:36:07 +0200

glib-networking (2.29.92-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - gnutls: Fixed a problem when linking against GNUTLS 3.0, where
      connections would sometimes return the error "The TLS connection was
      non-properly terminated".
    - gnutls: Plugged a few memory leaks.
    - Translation updates.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 21 Sep 2011 15:57:27 +0200

glib-networking (2.29.18-0ubuntu1) oneiric; urgency=low

  * debian/watch: Look for unstable versions.
  * New upstream release
  * debian/control.in: Bump glib dependency as per upstream configure.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Sep 2011 08:18:07 +0200

glib-networking (2.29.15-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 17 Aug 2011 14:38:02 -0400

glib-networking (2.28.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Fix Vcs-* path for experimental → unstable.
  * debian/control.in: Bump Standards-Version to 3.9.2 (no changes necessary).
  * debian/watch: Fix syntax to actually recognize the current version.
  * debian/watch: Fetch bzip2 tarballs.
  * debian/rules: Remove unnecessary *.la files.

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 May 2011 07:48:14 +0200

glib-networking (2.28.6.1-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/patches/Only-set-GTLS-errors-when-errors-have-occurred.patch
    - Removed, fixed upstream
  * debian/patches/work-around-intltool-issue.patch
    - Remove, no longer necessary

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 26 Apr 2011 22:23:37 +0100

glib-networking (2.28.6-1) unstable; urgency=low

  * New upstream release
  * debian/patches/Only-set-GTLS-errors-when-errors-have-occurred.patch
    - Added. Only reports errors when sending if errors occurred
  * debian/patches/work-around-intltool-issue.patch
    - Added. Work around intltool discovering translations in applied patched
      (Debian bug #560704)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 26 Apr 2011 19:10:10 +0100

glib-networking (2.28.4-2) unstable; urgency=low

  [ Rodrigo Moya ]
  * debian/rules:
    - Remove *.a files in the correct arch-specific dir

  [ Sebastian Dröge ]
  * debian/control.in:
    + Add debug package.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Apr 2011 14:06:31 +0200

glib-networking (2.28.4-1) unstable; urgency=low

  * New upstream stable release.
    + debian/control.in:
      - Build-depend on gsettings-desktop-schemas-dev, depend on
        gsettings-desktop-schemas.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Mar 2011 08:48:49 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: glib-networking
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.29.18),
               libgnutls-dev (>= 2.1.7),
               libproxy-dev (>= 0.3.1),
               gsettings-desktop-schemas-dev,
               ca-certificates,
               intltool (>= 0.35.0)
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glib-networking
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glib-networking
Standards-Version: 3.9.2

Package: glib-networking
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gsettings-desktop-schemas
Description: network-related giomodules for GLib
 This package contains various network related extension points
 for GLib.

Package: glib-networking-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking (= ${binary:Version})
Description: network-related giomodules for GLib (debugging symbols
 This package contains various network related extension points
 for GLib.
 .
 This package contains the debugging symbols for glib-networking.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 DEB_MAKE_CHECK_TARGET = check
 
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-static
+
 GIO_MODULE_DIR = `pkg-config --variable giomoduledir gio-2.0`
+binary-install/glib-networking::
+	rm debian/glib-networking$(GIO_MODULE_DIR)/*la
 
-binary-install/glib-networking::
-	rm debian/glib-networking$(GIO_MODULE_DIR)/*a

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/glib-networking/([\d\.]+)/ \
	glib-networking-(.*)\.tar\.bz2

## glib-networking 2.30.1

=== debian/changelog ===
glib-networking (2.30.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Nov 2011 21:41:27 +0100

glib-networking (2.30.1-2) experimental; urgency=low

  * Break pre-multiarch glib (for modules path transition).
  * glib-networking autodetects the path, no change needed.
  * Split glib-networking for multiarch support:
    - glib-networking contains the gio modules (m-a: same).
    - g-n-services contains the D-Bus services (m-a: foreign).
    - g-n-common contains the data.
  * Add build-conflict about glib-networking itself (fails the test 
    suite).

 -- Josselin Mouette <joss@debian.org>  Sun, 13 Nov 2011 16:32:49 +0100

glib-networking (2.30.1-1) experimental; urgency=low

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Oct 2011 12:02:55 +0200

glib-networking (2.30.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Build-Depends on libglib2.0-dev to (>= 2.29.18).
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Remove patches, all merged upstream:
    - debian/patches/01_tls_small_keys.patch
    - debian/patches/02_gerror_crash.patch
    - debian/patches/03_tls_compat.patch
    - debian/patches/04_rehandshake.patch
    - debian/patches/05_virtualhosts.patch
    - debian/patches/06_gnutls3.patch
  * debian/copyright:
    - Update FSF address.
  * debian/watch:
    - Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Oct 2011 19:18:55 +0200

glib-networking (2.28.7-2) unstable; urgency=low

  * Include a handful of changes from upstream git to improve TLS 
    support.
    + 01_tls_small_keys.patch: allow small TLS keys that some embedded 
      servers use.
    + 02_gerror_crash.patch: fix a crash when passed a NULL GError.
    + 03_tls_compat.patch: use %COMPAT in the protocol lists to handle 
      some broken servers. Closes: #636911.
    + 04_rehandshake.patch: handle rehandshake requests.
    + 05_virtualhosts.patch: don’t reuse sessions for different virtual 
      hosts on the same IP, some broken servers don’t like that.
    + 06_gnutls3.patch: support GnuTLS 3.x, in case the transition 
      starts soon.
  * Require an intltool version with working quilt support.

 -- Josselin Mouette <joss@debian.org>  Fri, 23 Sep 2011 20:30:16 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: glib-networking
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.29.18),
               libgnutls-dev (>= 2.1.7),
               libproxy-dev (>= 0.3.1),
               gsettings-desktop-schemas-dev,
               ca-certificates,
               intltool (>= 0.41.1-2)
Build-Conflicts: glib-networking
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glib-networking
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glib-networking
Standards-Version: 3.9.2

Package: glib-networking
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking-services (>= ${source:Version}),
         glib-networking-services (<< ${source:Version}.1~),
         glib-networking-common (= ${source:Version}),
         gsettings-desktop-schemas
Breaks: libglib2.0-0 (<< 2.30.1-2)
Description: network-related giomodules for GLib
 This package contains various network related extensions for the GIO 
 library.

Package: glib-networking-services
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking-common (= ${source:Version})
Recommends: glib-networking
Breaks: glib-networking (<< 2.30.1-2)
Replaces: glib-networking (<< 2.30.1-2)
Description: network-related giomodules for GLib - D-Bus services
 This package contains D-Bus services that are used by the GIO network
 extensions in glib-networking, for actions that need to be done in a 
 separate process.

Package: glib-networking-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: glib-networking
Breaks: glib-networking (<< 2.30.1-2)
Replaces: glib-networking (<< 2.30.1-2)
Description: network-related giomodules for GLib - data files
 This package contains data files and translations for the GIO network
 extensions in glib-networking.

Package: glib-networking-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking (= ${binary:Version})
Description: network-related giomodules for GLib - debugging symbols
 This package contains the debugging symbols for the GIO extensions and 
 D-Bus services in glib-networking.

## glib-networking 2.30.2

=== debian/changelog ===
glib-networking (2.30.2-1) unstable; urgency=low

  * New upstream release.
  * Instead of removing files via debian/rules, just be a bit more specific
    what we want to install in debian/glib-networking-services.install.

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Jan 2012 13:21:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,3 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-static
 
-GIO_MODULE_DIR = `pkg-config --variable giomoduledir gio-2.0`
-binary-install/glib-networking::
-	rm debian/glib-networking$(GIO_MODULE_DIR)/*la
-

## glib-networking 2.31.20

=== debian/changelog ===
glib-networking (2.31.20-1) experimental; urgency=low

  * New upstream development release.
  * debian/control.in: Update Build-Depends.
  * debian/rules: Explicitly enable libproxy and gnutls support for more
    reliable build results.
  * Enable PKCS#11 support.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Mar 2012 09:48:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
-               libglib2.0-dev (>= 2.29.18),
-               libgnutls-dev (>= 2.1.7),
+               libglib2.0-dev (>= 2.31.6),
+               libgnutls-dev (>= 2.12.8),
+               libp11-kit-dev (>= 0.8),
                libproxy-dev (>= 0.3.1),
                gsettings-desktop-schemas-dev,
                ca-certificates,

## glib-networking 2.31.22

=== debian/changelog ===
glib-networking (2.31.22-1) experimental; urgency=low

  * New upstream development release.
  * Bump Build-Depends on cdbs and debhelper for multiarch support.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Mar 2012 02:56:17 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 8),
-               cdbs,
+Build-Depends: debhelper (>= 8.1.3),
+               cdbs (>= 0.4.93),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.31.6),
                libgnutls-dev (>= 2.12.8),

## glib-networking 2.32.1

=== debian/changelog ===
glib-networking (2.32.1-1ubuntu2) precise-proposed; urgency=low

  * debian/patches/gnutls-Try-to-find-root-certificates-locally-if-no.patch:
    - If a server erroneously sends us a root certificate, and it
      is not anchored, then try to lookup a certificate for the same
      issuer in the database (LP: #1033516)
      Thanks to Stef Walter

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Aug 2012 12:55:58 +0200

glib-networking (2.32.1-1ubuntu1) precise-proposed; urgency=low

  * debian/patches/fix-file-scheme-pacfiles.patch:
    - Allow usage of file:// pac files (LP: #981856)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 24 Apr 2012 09:20:08 +0800

glib-networking (2.32.1-1) unstable; urgency=low

  * New upstream release:
    - gnutls: added /etc/ssl/ca-bundle.pem to the list of files to check for
      to use as the default CA list. (This is what openSUSE uses; not relevant
      for Debian/Ubuntu).
    - Translation updates.
  * debian/copyright: Rewrite to use copyright 1.0 format.
  * debian/control.in: Bump Standards-Version to 3.9.3.

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Apr 2012 23:43:39 +0200

glib-networking (2.32.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Mar 2012 08:53:25 +0200

glib-networking (2.32.0-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 02:08:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                gnome-pkg-tools,
@@ -21,7 +22,7 @@
 Build-Conflicts: glib-networking
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glib-networking
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glib-networking
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: glib-networking
 Architecture: any

## glib-networking 2.32.3

=== debian/changelog ===
glib-networking (2.32.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 20:31:34 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                gnome-pkg-tools,

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,8 @@
 
 DEB_MAKE_CHECK_TARGET = check
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-static
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-static \
+                             --with-libproxy \
+                             --with-gnutls \
+                             --with-pkcs11

## glib-networking 2.34.0

=== debian/changelog ===
glib-networking (2.34.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release (LP: #1055957)
  * debian/control:
    - Bump build-depends on libglib2.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 28 Sep 2012 09:22:31 +1200

glib-networking (2.33.14-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 18 Sep 2012 16:47:19 +1200

glib-networking (2.33.12-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Sep 2012 16:19:28 +1200

glib-networking (2.33.10-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 22 Aug 2012 16:06:17 +1200

glib-networking (2.33.8-0ubuntu3) quantal; urgency=low

  * debian/patches/gnutls-Try-to-find-root-certificates-locally-if-no.patch:
    - If a server erroneously sends us a root certificate, and it
      is not anchored, then try to lookup a certificate for the same
      issuer in the database (LP: #1033516)
      Thanks to Stef Walter

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Aug 2012 13:07:24 +0200

glib-networking (2.33.8-0ubuntu2) quantal; urgency=low

  * debian/control.in: updated glib requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Aug 2012 19:55:59 +0200

glib-networking (2.33.8-0ubuntu1) quantal; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Aug 2012 19:08:30 +0200

glib-networking (2.33.3-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 27 Jun 2012 17:16:00 +1200

glib-networking (2.33.2-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev
  * debian/patches/fix-file-scheme-pacfiles.patch:
    - Applied upstream
  * debian/watch:
    - Watch for unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 May 2012 13:35:33 +1200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                gnome-pkg-tools,
-               libglib2.0-dev (>= 2.31.6),
+               libglib2.0-dev (>= 2.34.0),
                libgnutls-dev (>= 2.12.8),
                libp11-kit-dev (>= 0.8),
                libproxy-dev (>= 0.3.1),

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/glib-networking/([\d\.]+\d)/ \
	glib-networking-(.*)\.tar\.xz

## glib-networking 2.34.2

=== debian/changelog ===
glib-networking (2.34.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Nov 2012 11:10:47 +1300

## glib-networking 2.36.1

=== debian/changelog ===
glib-networking (2.36.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Apr 2013 16:33:36 +0200

glib-networking (2.36.0-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 25 Mar 2013 16:04:44 +0100

glib-networking (2.35.9-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 05 Mar 2013 18:39:07 +0100

glib-networking (2.35.8-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 Feb 2013 19:31:23 +0100

glib-networking (2.34.0-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 23 Oct 2012 16:50:01 +0200

glib-networking (2.33.14-1) experimental; urgency=low

  * New upstream release.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.33.14) so we don't pick up
    the version from unstable. This will also generate a tight enough
    dependency.

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Sep 2012 21:12:58 +0200

glib-networking (2.33.12-1) experimental; urgency=low

  * New upstream version, matching glib 2.33.12.
  * debian/control.in: Bump glib build dependency to >= 2.33.12.
  * debian/control.in: Switch Vcs-* to experimental branch.
  * debian/watch: Watch for unstable versions while we are tracking the 2.34
    development versions.

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Sep 2012 05:55:23 +0200

## glib-networking 2.36.2

=== debian/changelog ===
glib-networking (2.36.2-0ubuntu0.1) raring; urgency=low

  * New upstream release (LP: #1179875)
    + proxy/gnome: Fix "automatic" mode, which was mistakenly being treated as
      "none"
    + proxy/gnome: Use this in Unity sessions as well as GNOME ones.
    + proxy/libproxy: Fix handling of SOCKS proxies
  * debian/patches/0001-proxy-tests-libproxy-Set-GIO_EXTRA_MODULES-to-use-th.patch:
    Patch testsuite to pick up the just-built libproxy module, fixing test
    failures.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 14 May 2013 13:01:44 +0100

glib-networking (2.36.1-0ubuntu1.1) raring; urgency=low

  * Have the GNOME proxy resolver function on Unity too so we don't fall back
    to libproxy. Upstream created an automatic libproxy fallback for non-GNOME
    sessions in 2.35.3, but this plugin can and should be used on Ubuntu too.
    This will avoid one major source of pxgsettings processes which are
    currently spawned by libproxy. (LP: #1172792)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 26 Apr 2013 12:12:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                gnome-pkg-tools,
-               libglib2.0-dev (>= 2.34.0),
+               libglib2.0-dev (>= 2.35.8),
                libgnutls-dev (>= 2.12.8),
                libp11-kit-dev (>= 0.8),
                libproxy-dev (>= 0.3.1),
@@ -19,8 +18,8 @@
                ca-certificates,
                intltool (>= 0.41.1-2)
 Build-Conflicts: glib-networking
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glib-networking
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glib-networking
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/glib-networking
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/glib-networking
 Standards-Version: 3.9.3
 
 Package: glib-networking

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/glib-networking/([\d\.]+)/ \
	glib-networking-(.*)\.tar\.xz

## glib-networking 2.38.0

=== debian/changelog ===
glib-networking (2.38.0-1~ubuntu5) saucy; urgency=low

  * Re-enable libproxy support on arm64, now that the bootstrap cycle is
    built.

 -- William Grant <wgrant@ubuntu.com>  Mon, 14 Oct 2013 18:14:55 +1100

glib-networking (2.38.0-1~ubuntu4) saucy; urgency=low

  * Disable libproxy support on arm64 a little harder this time.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 12 Oct 2013 08:29:18 -0600

glib-networking (2.38.0-1~ubuntu3) saucy; urgency=low

  * Temporarily disable libproxy support on arm64, to unwedge a complex
    bootstrapping cycle.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 12 Oct 2013 15:05:05 +0100

glib-networking (2.38.0-1~ubuntu2) saucy; urgency=low

  * debian/control{,.in}: Add XS-Testsuite header 

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 03 Oct 2013 08:57:13 +0000

glib-networking (2.38.0-1~ubuntu1) saucy; urgency=low

  * Upload to Ubuntu while package is in Debian NEW.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 27 Sep 2013 08:53:20 +0000

glib-networking (2.38.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: Build-Depend on GLib >= 2.38 and libproxy >= 0.4 (test
    failures with 0.3)
  * Build & package installed tests
  * Add autopkgtest to run the installed tests

 -- Iain Lane <laney@debian.org>  Wed, 25 Sep 2013 11:45:34 +0000

glib-networking (2.36.1-2) unstable; urgency=low

  * Merge experimental branch, upload to unstable.
  * Bump Standards-Version to 3.9.4, no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 May 2013 07:04:53 +0200

glib-networking (2.36.1-1) experimental; urgency=low

  * New upstream release.

 -- Iain Lane <laney@debian.org>  Tue, 23 Apr 2013 11:28:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,24 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                gnome-pkg-tools,
-               libglib2.0-dev (>= 2.35.8),
+               libglib2.0-dev (>= 2.38.0),
                libgnutls-dev (>= 2.12.8),
                libp11-kit-dev (>= 0.8),
-               libproxy-dev (>= 0.3.1),
+               libproxy-dev (>= 0.4),
                gsettings-desktop-schemas-dev,
                ca-certificates,
                intltool (>= 0.41.1-2)
 Build-Conflicts: glib-networking
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/glib-networking
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/glib-networking
-Standards-Version: 3.9.3
+XS-Testsuite: autopkgtest
+Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/glib-networking
+Vcs-Browser: http://svn.debian.org/viewpkg-gnome/desktop/unstable/glib-networking
+Standards-Version: 3.9.4
 
 Package: glib-networking
 Architecture: any
@@ -71,3 +73,13 @@
 Description: network-related giomodules for GLib - debugging symbols
  This package contains the debugging symbols for the GIO extensions and 
  D-Bus services in glib-networking.
+
+Package: glib-networking-tests
+Section: misc
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         glib-networking (= ${binary:Version})
+Description: network-related giomodules for GLib - installed tests
+ This package contains test programs, designed to be run as part of a
+ regression testsuite.

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,9 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-static \
                              --with-libproxy \
                              --with-gnutls \
-                             --with-pkcs11
+                             --with-pkcs11 \
+                             --enable-installed-tests \
+                             --enable-always-build-tests \
 
+# Don't strip translations from the installed tests; makes them environment dependent.
+DEB_DH_TRANSLATIONS_ARGS = -Xinstalled-tests

=== debian/tests/control ===
Tests: installed-tests
Restrictions: allow-stderr
Depends: glib-networking-tests, dbus-x11, xvfb, gnome-desktop-testing

## glib-networking 2.38.1

=== debian/changelog ===
glib-networking (2.38.1-1) experimental; urgency=low

  * debian/control{,.in}: Add XS-Testsuite header
  * New upstream release
    + glibpacrunner: Don't crash if there is an internal libproxy error.
    + tls/tests: Fix installed tests to not accidentally depend on having the
      source tree still exist.
  * debian/control: Have the tests depend on ca-certificates. 

 -- Iain Lane <laney@debian.org>  Thu, 17 Oct 2013 16:01:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                gnome-pkg-tools,
@@ -79,7 +78,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         glib-networking (= ${binary:Version})
+         glib-networking (= ${binary:Version}),
+         ca-certificates
 Description: network-related giomodules for GLib - installed tests
  This package contains test programs, designed to be run as part of a
  regression testsuite.

## glib-networking 2.40.0

=== debian/changelog ===
glib-networking (2.40.0-1ubuntu0.1) trusty-security; urgency=medium

  * debian/patches/alt-cert-chains.patch: backport upstream fix to add
    alternate chains support. This will allow the future removal of
    1024-bit RSA keys from the ca-certificates package.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 08 Feb 2016 09:37:05 -0500

glib-networking (2.40.0-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Add xauth test depends, it is only a recommends of xvfb.

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 22:28:24 +0100

glib-networking (2.39.90-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Feb 2014 19:56:24 +0100

glib-networking (2.39.3-1) experimental; urgency=medium

  * New upstream development release.
  * debian/control.in:
    + Bump glib build dependency.
    + Standards-Version is 3.9.5, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Feb 2014 18:51:31 +0100

glib-networking (2.38.2-1) unstable; urgency=low

  [ Vincent Cheng ]
  * Add missing entries in debian/copyright. (Closes: #725998)

  [ Iain Lane ]
  * Use dh-autoreconf to update libtool.m4 for new ports.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 15 Feb 2014 12:59:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
+               dh-autoreconf,
                gnome-pkg-tools,
-               libglib2.0-dev (>= 2.38.0),
+               libglib2.0-dev (>= 2.39.3),
                libgnutls-dev (>= 2.12.8),
                libp11-kit-dev (>= 0.8),
                libproxy-dev (>= 0.4),
@@ -21,7 +23,7 @@
 XS-Testsuite: autopkgtest
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/glib-networking
 Vcs-Browser: http://svn.debian.org/viewpkg-gnome/desktop/unstable/glib-networking
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: glib-networking
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

## glib-networking 2.41.92

=== debian/changelog ===
glib-networking (2.41.92-2) unstable; urgency=medium

  * Target unstable

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 20 Sep 2014 10:18:53 +0200

glib-networking (2.41.92-1) experimental; urgency=medium

  * debian/tests/installed-tests: Use dbus-run-session instead of dbus-launch.
  * New upstream release 2.41.92
    - tls/gnutls: Incorrectly-ordered certificate chains are now accepted
    - tls/gnutls: Closing an already-closed GTlsConnection now correctly
      returns TRUE rather than G_IO_ERROR_CLOSED

 -- Iain Lane <laney@debian.org>  Fri, 19 Sep 2014 15:36:11 +0100

glib-networking (2.41.4-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Unset $http_proxy during autopkgtest; the test suite doesn't get along
    with it, and doesn't need internet access.

  [ Andreas Henriksson ]
  * New upstream development release.
  * Bump glib build-dependency to >= 2.41.3 (current experimental version)
    since testsuite fails if we use 2.40.0 (current testing/unstable version).

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 14:10:53 -0700

glib-networking (2.40.1-2) unstable; urgency=medium

  * Team upload.

  [ Dimitri John Ledkov ]
  * Switch to gnutls28. (Closes: #747451)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 05 Jul 2014 13:30:46 +0200

glib-networking (2.40.1-1) unstable; urgency=medium

  [ Iain Lane ]
  * Fix Vcs-Browser URL

  [ Emilio Pozuelo Monfort ]
  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Apr 2014 20:46:19 +0200

glib-networking (2.40.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 02 Apr 2014 15:59:58 +0200

## glib-networking 2.42.0

=== debian/changelog ===
glib-networking (2.42.0-2) unstable; urgency=medium

  * debian/patches/01_connection_test.patch:
    + Disable tls/connection tests. They are racy and so unreliable.
      Closes: #762588.
  * debian/rules:
    + Set VERBOSE so we get more information when a test fails.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 22 Oct 2014 23:41:04 +0200

glib-networking (2.42.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 20:36:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                dh-autoreconf,
                gnome-pkg-tools,
-               libglib2.0-dev (>= 2.39.3),
-               libgnutls-dev (>= 2.12.8),
+               libglib2.0-dev (>= 2.41.3),
+               libgnutls28-dev (>= 2.12.8),
                libp11-kit-dev (>= 0.8),
                libproxy-dev (>= 0.4),
                gsettings-desktop-schemas-dev,
@@ -22,7 +21,7 @@
 Build-Conflicts: glib-networking
 XS-Testsuite: autopkgtest
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/glib-networking
-Vcs-Browser: http://svn.debian.org/viewpkg-gnome/desktop/unstable/glib-networking
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glib-networking/
 Standards-Version: 3.9.5
 
 Package: glib-networking

## glib-networking 2.42.1

=== debian/changelog ===
glib-networking (2.42.1-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1401069)
    + The GTlsClientConnection "use-ssl3" property now falls back to TLS
      1.0 if SSL 3.0 has been disabled, rather than just failing. Also, we now
      use the gnutls %LATEST_RECORD_VERSION option by default (to allow
      connecting to certain servers that were incorrectly patched for the
      POODLE attack), but also make sure to remove that option in the fallback
      ("use-ssl3") mode (to allow connecting to other servers that are
      differently broken).
    + tls/gnutls: Miscellaneous warning, debugging, and leak fixes
  * 0001-test_create_certificate_chain-Skip-if-not-running-ag.patch: Skip a
    test when run on glib ≥ 2.43 as it requires a change in this version.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 10 Dec 2014 11:40:58 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                dh-autoreconf,
